Show / Hide Table of Contents

# Interface IUdpSocket

##### Inherited Members

System.IDisposable.Dispose()

###### Namespace: Discord.Net.Udp

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public interface IUdpSocket : IDisposable

### Properties

| Improve this Doc View Source

#### Port

##### Declaration

    ushort Port { get; }

##### Property Value

Type | Description
--- | ---
System.UInt16 |

### Methods

| Improve this Doc View Source

#### SendAsync(Byte[], Int32, Int32)

##### Declaration

    Task SendAsync(byte[] data, int index, int count)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte[] | data |
System.Int32 | index |
System.Int32 | count |

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |

| Improve this Doc View Source

#### SetCancelToken(CancellationToken)

##### Declaration

    void SetCancelToken(CancellationToken cancelToken)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Threading.CancellationToken | cancelToken |

| Improve this Doc View Source

#### SetDestination(String, Int32)

##### Declaration

    void SetDestination(string ip, int port)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | ip |
System.Int32 | port |

| Improve this Doc View Source

#### StartAsync()

##### Declaration

    Task StartAsync()

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |

| Improve this Doc View Source

#### StopAsync()

##### Declaration

    Task StopAsync()

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |

### Events

| Improve this Doc View Source

#### ReceivedDatagram

##### Declaration

    event Func<byte[], int, int, Task> ReceivedDatagram

##### Event Type

Type | Description
--- | ---
System.Func<System.Byte[], System.Int32, System.Int32, System.Threading.Tasks.Task> |